package com.bocloud.cmp.provider.campus;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.campus.DeviceModel;

import java.util.List;

public interface DeviceProvider extends SuperProvider {

    default BocloudResult<List<DeviceModel>> list() {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<DeviceModel> create(DeviceModel model) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> remove(Long deviceUuid) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> ping(Long deviceId) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> tracert(Long deviceId) {
        throw new RuntimeException("unimplemented");
    }


}
